Package org.apache.storm.scheduler.resource

# Class ResourceUtils

java.lang.Object
org.apache.storm.scheduler.resource.ResourceUtils

public class ResourceUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NormalizedResourceRequest`
  `getBoltResources(StormTopology topology, Map<String,Object> topologyConf, String componentId)`
  `static Map<String,NormalizedResourceRequest>`
  `getBoltsResources(StormTopology topology, Map<String,Object> topologyConf)`
  `static String`
  `getCorrespondingLegacyResourceName(String normalizedResourceName)`
  `static String`
  `getJsonWithUpdatedResources(String jsonConf, Map<String,Double> resourceUpdates)`
  `static NormalizedResourceRequest`
  `getSpoutResources(StormTopology topology, Map<String,Object> topologyConf, String componentId)`
  `static Map<String,NormalizedResourceRequest>`
  `getSpoutsResources(StormTopology topology, Map<String,Object> topologyConf)`
  `static void`
  `updateStormTopologyResources(StormTopology topology, Map<String,Map<String,Double>> resourceUpdatesMap)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceUtils

    public ResourceUtils()

- ## Method Details

  - ### getBoltResources

    public static NormalizedResourceRequest getBoltResources(StormTopology topology, Map<String,Object> topologyConf, String componentId)

  - ### getBoltsResources

    public static Map<String,NormalizedResourceRequest> getBoltsResources(StormTopology topology, Map<String,Object> topologyConf)

  - ### getSpoutResources

    public static NormalizedResourceRequest getSpoutResources(StormTopology topology, Map<String,Object> topologyConf, String componentId)

  - ### getSpoutsResources

    public static Map<String,NormalizedResourceRequest> getSpoutsResources(StormTopology topology, Map<String,Object> topologyConf)

  - ### updateStormTopologyResources

    public static void updateStormTopologyResources(StormTopology topology, Map<String,Map<String,Double>> resourceUpdatesMap)

  - ### getCorrespondingLegacyResourceName

    public static String getCorrespondingLegacyResourceName(String normalizedResourceName)

  - ### getJsonWithUpdatedResources

    public static String getJsonWithUpdatedResources(String jsonConf, Map<String,Double> resourceUpdates)